const globalUrl = process.uniEnv || {}
const ucenterApiUrl = globalUrl.ucenterUrl.apiUrl
const collegeApiUrl = globalUrl.ucenterUrl.xueUrl
let learnApiFun = function(vm){
	
	/* 通知消息基本信息 */
	let getTrainingNoticeList = async (params = {}) => await vm.$u.get(ucenterApiUrl+'/v1/notice/list', params);
	
	/* 获取学习视频基本信息 */
	let CourseList = async (params = {}) => await vm.$u.get(collegeApiUrl+'/v1/course-details?course_id=173',params);
	/* 获取章节详情 */
	let ChapterDetails = async (params = {}) => await vm.$u.get(collegeApiUrl+'/v1/chapter-sections',params);
	/* 获取课程节信息*/
	let CourseSection  = async (params = {}) => await vm.$u.get(collegeApiUrl+'/v1/section-details',params);
	const learnApi = {
		getTrainingNoticeList,CourseList,ChapterDetails,CourseSection
	}
	return learnApi
}

module.exports =  {
	learnApiFun
}